Kronos 2.7.0 :

Features : Add version number and title game on title bar (FCare).
Features : Changed names for resolutions to : 1x (Original Saturn Resolution), 2x, 4x (FCare).
Features : Missing border emulation (FCare).
STV : All STV games are no listed properly and match to Mame (FCare).
STV : Added an icon on the GUI (FCare).
STV : Overhaul of the STV function: you can launch an STV game and switch to a Saturn game without changing anything, and vice versa (FCare).
Saturn Emulation : Advanced World War - Sennen Teikoku no Koubou - Last of the Millennium (Japan) (2M) : Fixed flickering on the book (FCare).
Emulation Saturn : America Oudan Ultra Quiz (Japan) : Fixed pink screen on different screen transition (FCare).
Saturn Emulation : Aqua-World - Umi Monogatari (Japan) : Fixed black screen at the start. The game is now playable (FCare).
Saturn Emulation : Arthur to Astaroth no Nazo Makaimura - Incredible Toons (Japan) : Fixed press start screen words (FCare).
Saturn Emulation : Atlantis - The Lost Tales (Europe) : Fixed artefacts on the press start screen (FCare).
Saturn Emulation : Dino Island (Japan) : Fixed menu issue (FCare).
Saturn Emulation : Doom (Japan) : Fixed ground floor in game (FCare).
Saturn Emulation : Gex (Europe) : Fixed flickering ponds in game (FCare).
Saturn Emulation : Gotha - Ismailia SenEki (Japan) : Fixed the freeze. The game is now playable (FCare).
Saturn Emulation : Grandia (Jap) : Fixed screen battles (FCare).
Saturn Emulation : Grandia (Jap) : Fixed half red screen on FMVs (FCare).
Saturn Emulation : Greatest Nine '96 (Japan) (2M) : Fixed lines on flags (FCare).
Saturn Emulation : International Victory Goal (Europe) : Fixed lines on flags (FCare).
Saturn Emulation : J.League Pro Soccer Club o Tsukurou! 2 (Japan) (1M) : Fixed lines on flags (FCare).
Saturn Emulation : J.League Victory Goal '96 (Japan) (1M, 3M) : Fixed lines on flags (FCare).
Saturn Emulation : Lost Vikings 2 - Norse by Norsewest (Europe) : Fixed flickering on portraits vikings dialogs in game (FCare).
Saturn Emulation : Master of Monsters - Neo Generations (Japan) : Fixed red screen on transition screens (FCare).
Saturn Emulation : Megaman 8 (USA) : Fixed black screen at the start. The game is playable again (FCare).
Saturn Emulation : Moon Cradle (Japan) : Fixed black screen at the start. The game is now playable (FCare).
Saturn Emulation : Mortal Kombat 2 (Europe) : Fixe flickering on the pit screen (FCare).
Saturn Emulation : Road Rash (Europe) : Fixed artefacts. The game is now playable (FCare).
Saturn Emulation : Roommate - Ryouko in Summer Vacation (Japan) (2M) : Fixed black screen after the bios. The game is now playable (FCare).
Saturn Emulation : Return Fire (USA) (En,Ja,Fr,De,Es,It,Pt,Ko,Ru) (Proto) : Fixed several artefacts. The game is now playable (FCare).
Saturn Emulation : Quantum Gate I - Akumu No Joshou (Japan) : Fixed freezing game (FCare).
Saturn Emulation : Samurai Spirits - Amakusa Kourin (Japan) : Fixed vertical lines on characters. The game is now playable (FCare).
Saturn Emulation : Sega Ages - Columns Arcade Collection (Japan) : Fixed flickerging in game (FCare).
Saturn Emulation : Senken Kigyouden (Japan) : Fixed black screen in game. The game is now playable (FCare).
Saturn Emulation : Soeldnerschild (Japan) : Fixed artefacts in game (FCare).
Saturn Emulation : Sonic Jam (USA) : Fixed Blue sphere special stage flickering (FCare).
Saturn Emulation : Tama - Adventurous Ball in Giddy Labyrinth (Japan) : Fixed freeze after the intro video. The game is now playable (FCare).
Saturn Emulation : True Pinball (Europe, USA) : fixed options menu (FCare).
Saturn Emulation : Virtua Cop 2 : Fixed flickering in game. The game is now playable (FCare).
Misc : Updated documentations (Benjamin Siskoo).
Misc : Upadted to SDL2 2.30.10 (Benjamin Siskoo).
Misc : Wiki updated (Benjamin Siskoo).
Misc : Varioux build fixes (pstef).
Misc : Various fixes (FCare).

Kronos 2.6.2 :

Features : Window Resolution : Added the options "Perfect Pixel" and "Perfect Pixel - Full Screen". (FCare).
Features : Embellishment Filter : Added the options "Adaptive Deinterlacing" and "Bob Deinterlacing" (FCare).
Features : Window Size: Modified/renamed the options to Full HD, 2K, 4K(FCare).
STV : Added Wanpaku Safari support, the game is not playable (Benjamin Siskoo).
Saturn Emulation : Baroque (Japan) : The game is playable again. Fix savestate crash on Baroque (FCare).
Saturn Emulation : Grandia (Japan): Fixed the red half-screen issue during the intro video (FCare).
Saturn Emulation : Fix analog trigger handling for Sbox 360 and Sony controllers (FCare).
Saturn Emulation : Fix Vdp2 colorram update for VDP1 when upated during a frame (FCare).
Saturn Emulation : Rework interlaced mode handling for a more precise rendering (FCare).
Saturn Emulation : Fix Mpeg card report - Mpeg cart is not supported on Kronos (FCare).
Saturn Emulation : Fix compilation on arch linux (FCare).
Debug : Fix devCart Id report (FCare).
Misc : Updated documentations (Benjamin Siskoo).
Misc : Upadted to SDL2 2.30.7 (Benjamin Siskoo).


Kronos 2.6.1 : 

Feature : Fixed the autostart with command line (FCare).
Feature : Fixed screenshot (FCare).
Emulation : Fixed overflow on time count (FCare).


Kronos 2.6.0 : 

Feature: Log is back (FCare).
Feature: Adding of an extension cartridge for homebrew developers (FCare).
Feature: Renaming of the SH2 Interpreter Kronos to SH2 Performance (FCare).
Feature: Removal of OpenGL core (FCare).
Feature: Removal of the Software core (FCare).
Feature: Improvement of the VDP2 debug content (FCare).
Feature: Fix for a bug with Astal and extended memory + Use SH2 Cache - Experimental (FCare).
Feature: Addition of the 6xBRZ filter (FCare).
Feature: Removal of Multi-threading and Number of threads options (FCare).
Feature: Fixed VDP1 timings (FCare).
Feature: Fixed the Autostart (FCare).
Saturn Emulation: 2do Aru Koto wa Sando R (Japan) : Fixed freeze in game. The game is now playable (FCare).
Saturn Emulation: Actua Golf (Europe, Japan): Fixed flickering in the game (timing) (FCare).
Saturn Emulation: Arcade's Greatest Hits - The Atari Collection 1 (USA): Fixed black screen after choosing a game. The compilation is now playable (FCare).
Saturn Emulation: Baku Baku Animal - Sekai Shiiku Gakari Senshuken (Japan): Fixed the game not starting. The game is now playable (FCare).
Saturn Emulation: Baroque Report - CD Data File (Japan): Fixed artifact at the bottom of the screen on the press start screen (FCare).
Saturn Emulation: Big Ichigeki! Pachi-Slot Daikouryaku - Universal Museum (Japan) (Rev A) (10M): Fixed freeze to go in-game (FCare).
Saturn Emulation: Blazing Dragons (Europe): Fixed a timing issue in the game (FCare).
Saturn Emulation: Capcom Generation - Dai-4-shuu Kokou no Eiyuu (Japan): Fixed the helicopter door not being displayed correctly (FCare).
Saturn Emulation: Capcom Generation - Dai-4-shuu Kokou no Eiyuu (Japan): Fixed resolution in the game Gunsmoke (FCare).
Saturn Emulation: Decathlete: Fixed missing framebuffer persistence effect with Kronos 2.5.0 (FCare).
Saturn Emulation: DragonHeart - Fire & Steel (Europe): Fixed loop on the in-game character. The game is now playable (FCare).
Saturn Emulation: Father Christmas (Japan): Fixed unresponsive buttons (FCare).
Saturn Emulation: Firestorm - Thunderhawk 2 (Europe) (En,Fr): Fixed unresponsive buttons (FCare).
Saturn Emulation: Fishing Koushien (Japan): Fixed freeze after the bios. The game is now playable (FCare).
Saturn Emulation: Fishing Koushien II (Japan): Fixed freeze after the bios. The game is now playable (FCare).
Saturn Emulation: Game de Seishun (Japan) (Rev A): Fixed black screen. The game is now playable (FCare).
Saturn Emulation: GeGeGe No Kitarou - Gentou Kaikitan (Japan): Fixed freeze with the real bios. The game is now playable (FCare).
Saturn Emulation: Grandia (Japan): Fixed freeze (FCare).
Saturn Emulation: Hideo Nomo World Series Baseball (Japan): Fixed crash before entering in-game. The game is now playable, but it takes 40 seconds to enter in-game (FCare).
Saturn Emulation: Highschool Terra Story (Japan): Fixed black screen on startup. The game is now playable (FCare).
Saturn Emulation: Hyper Duel (Japan): Fixed missing menus, and the in-game ship no longer freezes, so the game is playable (FCare).
Saturn Emulation: Hyper Reverthion (Japan): Fixed black screen after the bios. The game is now playable (FCare).
Saturn Emulation: Kanzen Chuukei Pro Yakyuu Greatest Nine (Japan) (Rev A): Fixed crash before entering in-game. The game is now playable (FCare).
Saturn Emulation: Kidou Senshi Z Gundam - Kouhen Uchuu o Kakeru (Japan): Fixed freeze after the bios. The game is now playable (FCare).
Saturn Emulation: Kidou Senshi Z Gundam - Zenpen Zeta no Kodou (Japan): Fixed reboot on the bios. The game is now playable (FCare).
Saturn Emulation: Koutetsu Reiiki - Steeldom (Japan) (2M): Fixed missing menus and characters are displayed in-game, game playable (FCare).
Saturn Emulation: Last Bronx (Europe): Fixed background on certain levels (FCare).
Saturn Emulation: Lupin the 3rd - The Master File (Japan): Fixed unresponsive buttons (FCare).
Saturn Emulation: Mahjong Kaigan Monogatari - Mahjong-Kyou Jidai Sexy Idol-Hen (Japan) (2M): Fixed black screen goes in-game but artifacts on the press start screen (FCare).
Saturn Emulation: Nihon Daihyou Team no Kantoku ni Naruu! Sekaihatsu Soccer RPG - Become the Coach for the National Team! (Japan): Fixed crash (FCare).
Saturn Emulation: Nobunaga no Yabou Returns (Japan): Fixed black screen. The game is now playable (FCare).
Saturn Emulation: Panzer dragoon (Jap/Us): Fixed text flicker on the introduction video (FCare).
Saturn Emulation: Panzer Dragon Saga (Europe): boots again (FCare).
Saturn Emulation: PGA Tour 97 (Europe, Japan, USA): Fixed black screen on startup. The game is now playable (FCare).
Saturn Emulation: Pro Yakyuu Greatest Nine '97 - Make Miracle (Japan): Fixed black screen. The game is now playable (FCare).
Saturn Emulation: Pro Yakyuu Greatest Nine '98 (Japan): Fixed black screen after the bios. The game is now playable (FCare).
Saturn Emulation: Quake: Fixed missing screens (FCare).
Saturn Emulation: Race Drivin' (Japan) (2M): Fixes in-game freeze, playable game but artifacts in-game (FCare).
Saturn Emulation: Rapyulus Panic (Japan): Fixed line when launching the machine (FCare).
Saturn Emulation: Resident Evil (USA): The game was freezing on a freeze on the press start screen. The game is playable again (FCare).
Saturn Emulation: Sea Bass Fishing (Europe): Fixed freeze with the real bios (FCare).
Saturn Emulation: SeaBass Fishing 2 (Japan): Fixed freeze with the real bios (FCare).
Saturn Emulation: Shining Wisdom (Europe, Japan, USA): Fixed black screen. The game is now playable (FCare).
Saturn Emulation: Shockwave Assault (Europe): Fixed unresponsive buttons (FCare).
Saturn Emulation: Super Tempo (Japan): Fixed black screen after the bios. The game is now playable (FCare).
Saturn Emulation: Tech Saturn Tsuushin - Spring 1995 (Japan): Fixed a controller lockup issue (FCare).
Saturn Emulation: Vampire Savior - The Lord of Vampire (Japan): Fixed missing characters. The game is now playable (FCare).
Saturn Emulation: Virtua Fighter: Fixed camera position in the demo with Kronos 2.5.0 (FCare).
Saturn Emulation: Virtua Fighter 2: Fixed graphical artifact in the game (FCare).
Saturn Emulation: Virtual Mahjong 2 - My Fair Lady (Japan): Fixed display issue on the press start screen (FCare).
Saturn Emulation: Virtual On: Fixed black screen if you let the video after the press start screen run (FCare).
Saturn Emulation: World Heroes Perfect (Japan): Fixed unresponsive buttons (FCare).
Saturn Emulation: World Series Baseball 98 (USA): Fixed black screen after the bios. The game is now playable (FCare).
Saturn Emulation: X-Men - Children Of The Atom (Europe): Fixed screen after the Capcom logo. The game is now playable (FCare).
Saturn Emulation: X Japan - Virtual Shock 001 (Japan) (4M): Fixed unresponsive buttons (FCare).
STV Emulation: Added the Name Club Disney driver (J 980614 V1.000) (Benjamin Siskoo).
STV Emulation: Astra Super Stars is playable again (FCare).
Miscellaneous: Fixed many warnings during the build (FCare).
Miscellaneous: Return of the compatibility list on the Wiki - https://tradu-france.com/wiki-emu-compatibility/index.php?title=Accueil (Benjamin Siskoo).
Miscellaneous: Documentation updates (Benjamin Siskoo).
Miscellaneous: Wiki updates (Benjamin Siskoo).
Miscellaneous: Update to SDL2 2.28.3 (Benjamin Siskoo).
Miscellaneous: Various fixes (FCare).

Kronos 2.5.0 :

Input : Added Mouse support (FCare).
Input : Added Virtua Gun / Zapper support (FCare).
Input : Added PS4 like controller support (FCare).
Input : Fixed the mouse sensitivity slider inversion (FCare).
Input : Fixed axis with some devices (FCare).
Saturn Emulation : Implement SH2/SCU concurrent access on CPU-bus (FCare).
Saturn Emulation : Improve frame time accuracy on windows (FCare).
Saturn Emulation : Improve seek timing accuracy (FCare).
Saturn Emulation : Fixed Framebuffer access (FCare).
Saturn Emulation : Fixed EDSR (FCare).
Saturn Emulation : Fixed screen sync (FCare).
Saturn Emulation : Use kronos timing for SCU DMA (FCare).
Saturn Emulation : Actua Golf (Europe / Jap) : Fixed flickering on the HUD. Remaining glitchs in game (FCare).
Saturn Emulation : Akumajou Dracula X - Gekka no Yasoukyoku (Japan) : Fixed an artefact to the top of the screen for Maria and Richter. Still the same problem with Alucard (FCare).
Saturn Emulation : Black Matrix : Fixed voices in game (FCare).
Saturn Emulation : Chou Aniki - Kyuukyoku... Otoko No Gyakushuu (Japan) : Fixed missing sounds in game (FCare).
Saturn Emulation : Contra - Legacy of War (USA) : Fixed missing transition screen, really old bug (FCare).
Saturn Emulation : Culdcept (Japan) : Fixed the black screen at the start. The game is now playable (FCare).
Saturn Emulation : Darius II (Europe) : Fixed missing sounds in game (FCare).
Saturn Emulation : Dark Legend (USA) : Fixed sound problems in game (FCare).
Saturn Emulation : Deep Fear : Fixed missing FMVs and missing legs of the character with the real bios. The game is now playable (FCare).
Saturn Emulation : Die Hard Arcade / Dynamite Deka : Fixed missing music in game (FCare).
Saturn Emulation : Double Switch (USA) : Fixed a regression. The game is now playable again (FCare).
Saturn Emulation : Falcom Classics (Japan) (Disc 2) (Special CD) : Fixed black screen after the reboot on the menu. The game is playable (FCare).
Saturn Emulation : Frankenstein - Through the Eyes of the Monster (Europe) : Fixed voices in game (FCare).
Saturn Emulation : Funky Fantasy (Japan) : Fixed slowndowns on the FMV (FCare).
Saturn Emulation : Fuusui Sensei - Feng-Shui Master (Japan) : Correction du problème de curseur (FCare).
Saturn Emulation : Game no Tatsujin 2 (Japan) : Fixed the black screen at the start. The game is now playable (FCare).
Saturn Emulation : Garou Densetsu 3 - Road to the Final Victory (Japan) : Fixed the freeze before entering in game. The game is now playable (FCare).
Saturn Emulation : Gekka no Kishi - Ouryuu-sen (Japan) : Fixed voices in game (FCare).
Saturn Emulation : Goiken Muyou - Anarchy in the Nippon (Japan) : Fixed voices in game (FCare).
Saturn Emulation : Gokujou Parodius Da! Deluxe Pack (Japan) : Fixed the freeze on the screen to select the ship. The game is now playable (FCare).
Saturn Emulation : Gyuwambler Jiko Chuushinha - Tokyo Mahjongland (Japan) : Fixed flickering on the octopus in game (FCare).
Saturn Emulation : Hebereke's Popoitto (Europe) : Fixed the black screen after the Sunsoft logo. The game is now playable (FCare).
Saturn Emulation : Henry Explorers (Japan) : Fixed voices in game (FCare).
Saturn Emulation : Hissatsu Pachinko Collection (Japan) (Rev A) : Fixed the black screen to the boot. The game is now playable (FCare).
Saturn Emulation : In the Hunt (Europe / USA) : Fixed black screen after the intro video. The game is now playable  (FCare).
Saturn Emulation : Kidou Senkan Nadesico - The Blank of 3 Years (Japan) : Fixed voices in game (FCare).
Saturn Emulation : Layer Section II (Japan) : Fixed screen problem in game (FCare).
Saturn Emulation : Mahou Shoujo Pretty Samy - Heart no Kimochi (Japan) : Fixed voices in game (FCare).
Saturn Emulation : Marvel Super Heroes vs. Street Fighter (Japan) : Fixed loop sound problem in game (FCare).
Saturn Emulation : Maximum Force (Europe) : Fixed artefacts on sprites in game. The game is now playable (FCare).
Saturn Emulation : Mujintou Monogatari R - Futari no Love Love Island (Japan) : Fixed freeze on the demo after the press start screen (FCare).
Saturn Emulation : NBA Action (Europe/US) : Fixed missing transition screen (FCare).
Saturn Emulation : NHL 97 (Europe) :Fixed missing musics on FMVs (FCare).
Saturn Emulation : Night Warriors - Darkstalkers' Revenge (Europe / USA) :  Fixed missing characters. The game is now playable (FCare).
Saturn Emulation : Parodius (Europe) : Fixed the freeze on the screen to select the ship. The game is now playable (FCare).
Saturn Emulation : Pinball Graffiti (Europe) : Fixed missing music (FCare).
Saturn Emulation : Popoitto Hebereke (Japan) : Fixed the black screen after the Sunsoft logo. The game is now playable (FCare).
Saturn Emulation : Refrain Love - Anata ni Aitai (Japan) : Fixed voices in game (FCare).
Saturn Emulation : ReyeMe framebuffer demo : Fixed frambuffer (FCare).
Saturn Emulation : Scorcher (Europe / USA) : Fixed glitches with the HUD, the game is now fully playable (FCare).
Saturn Emulation : Sega Ages - Fantasy Zone (Japan) : Fixed loop sounds. The game is now playable (FCare).
Saturn Emulation : Shingata Kururin Pa! (Japan) : Fixed voices in game (FCare).
Saturn Emulation : Spot Goes to Hollywood : Fixed missing music and sfx in game (FCare).
Saturn Emulation : Strahl - Himerareshi Nanatsu No Hikari (Japan) : Fixed the freeze in game. The game is now playable (FCare).
Saturn Emulation : Tank Battle : Fixed the freeze after shooting with the tank. The game is now playable (FCare).
Saturn Emulation : Tour Party - Sotsugyou Ryokou Ni Ikou (Japan) (Rev A) : Fixed the freeze on Takara logo. The game is now playable (FCare).
Saturn Emulation : Vampire Hunter - Darkstalkers' Revenge (Japan) : Fixed missing characters. The game is now playable (FCare).
Saturn Emulation : Virtual Open Tennis (Europe) : Fixed slowndowns. The game is now playable (FCare).
Saturn Emulation : Waku Waku 7 (Japan) : Fixed flickering again. It should be nice now. The game is playable (FCare).
Saturn Emulation : Zork I - The Great Underground Empire (Japan) : Fixed black screen. The game is now playable (FCare).
Debug : Fix breakpoint on memory (FCare).
Language : Added Brazilian Portuguese (Felipe).
Misc : Fixed lot of warnings during the build (FCare).
Misc : Wiki compatibility list is back - https://tradu-france.com/wiki-emu-compatibility/index.php?title=Accueil (Benjamin Siskoo).
Misc : Updated documentations (Benjamin Siskoo).
Misc : Wiki updated (Benjamin Siskoo).
Misc : Upadted to SDL2 2.24.2 (Benjamin Siskoo).
Misc : Various fixes (FCare).

Kronos 2.3.1 :

Features : Added a VDP1 FPS counter (FCare).
Features : Debug tools are back (FCare).
Features : Improvements of some debug tools (razor85).
Saturn Emulation : Fixed mesh problem (FCare).
Saturn Emulation : Fixed some problems with normal sprites and distorted sprites (FCare).
Saturn Emulation : Advanced World War - Sennen Teikoku no Koubou - Last of the Millennium (Japan) : Correction du problème de transparence (FCare).
Saturn Emulation : Air Management '96 (Japan)) : Fixed a transparency problem on the menu (FCare)
Saturn Emulation : Akumajou Dracula X - Gekka no Yasoukyoku (Japan) : Fixed normal sprite on the press start screen (FCare).
Saturn Emulation : Airs Adventure (Japan) : Fixed a window offset on the selection screen on the menu (FCare).
Saturn Emulation : Airs Adventure (Japan) : Fixed window transparency on the menu (FCare).
Saturn Emulation : Akumajou Dracula X - Gekka no Yasoukyoku (Japan) : Fixed chandelier wich shaking in CS mode (FCare).
Saturn Emulation : Alien Trilogy (Germany) : Fixed boot problem. The game is now playable (FCare).
Saturn Emulation : Arcade Gears Vol - 2 - Gun Frontier (Japan) : Fixed a thin black line in game (FCare).
Saturn Emulation : Asuka 120% Limited - Burning Fest. Limited (Japan) : Fixed a remaining picture after choosing your character (FCare).
Saturn Emulation : Athlete King (Europe) : Fixed zoom (FCare).
Saturn Emulation : Batsugun (Japan) : Fixed an in game screen problem (FCare).
Saturn Emulation : Batsugun (Japan) : Fixed logo screen (FCare).
Saturn Emulation : Bishoujo Senshi Sailor Moon SuperS - Various Emotion (Japan) : Fixed artefacts on the character in the traninig mode (FCare).
Saturn Emulation : Bishoujo Hanafuda Kikou - Michinoku Hitou Koi Monogatari Special (J) : Fixed missing background (FCare).
Saturn Emulation : Blues Skies (Démo) : Fixed a GFX problem with the sky (FCare).
Saturn Emulation : Can Can Bunny Premiere 2 (Japan) : Fixed a freeze in the game. The game is now playable (FCare).
Saturn Emulation : Daikoukai Jidai Gaiden (Japan) : Fixed a normal sprite problem on the text (FCare).
Saturn Emulation : Dark Savior (Europe) : Fixed zoom on the screen title (FCare).
Saturn Emulation : Denpa Shounen-teki Game (Japan) : Fixed a black screen in game. The game is now playable (FCare).
Saturn Emulation : Derby Analyst (Japan) : Fixed a MSB problem on the title screen (FCare).
Saturn Emulation : Devil Summoner - Soul Hackers - Akuma Zensho Dai-ni-shuu (Japan) : Fixed big slowndowns in CS mode. The game in now playable (FCare).
Saturn Emulation : Digital Ange - Dennou Tenshi SS (Japan) : Fixed a dialog window (FCare).
Saturn Emulation : Doukyuusei - if (Japan) : Fixed a user clipping problem with some texts (FCare).
Saturn Emulation : Doukoku Soshite... (Japan) : Fixed half transparency on some dialogs (FCare).
Saturn Emulation : Elevator Action^2 - Returns (Japan) : Fixed missing gradiant on the Ving logo (FCare).
Saturn Emulation : Fire Pro Gaiden Blazing Tornado (Japan) : Fixed a GFX problem with laser (FCare).
Saturn Emulation : Funky Fantasy (Japan) : Fixed slowndowns (FCare).
Saturn Emulation : Gekirindan (Japan) : Fixed in game screen (FCare).
Saturn Emulation : Gekitotsu Koushien (Japan) : Fixed a garbage screen (FCare).
Saturn Emulation : Goiken Muyou - Anarchy in the Nippon (Japan) : Fixed a freeze at the end of a round. The game is now playable (FCare).
Saturn Emulation : Greatest Nine '96 (Japan) : Fixed a crash before entering in game. The game is now playable (FCare). 
Saturn Emulation : Hideo Nomo World Series Baseball (Japan) : Fixed a crash before entering in game. The game is now playable (FCare).
Saturn Emulation : Independance Day (Europe) : Correction d'un problème avec l'affichage du radar et du cockpit (FCare).
Saturn Emulation : J. League Go Go Goal! (Japan) : Fixed shadow peroblem with OpenGl mode (FCare).
Saturn Emulation : Kiss yori... (Japan) : Fixed slowdowns on the menu (FCare).
Saturn Emulation : Koden Koureijutsu - Hyaku Monogatari - Honto ni Atta Kowai Hanashi (Japan) : Fixed an artefact at the top of the screen (FCare).
Saturn Emulation : Koden Koureijutsu - Hyaku Monogatari - Honto ni Atta Kowai Hanashi (Japan) : Fixed missing texts at the bottom of the screen (FCare).
Saturn Emulation : Krazy Ivan (Europe) : Fixed user clipping with the map in game (FCare).
Saturn Emulation : Lupin The 3rd Chronicles (Japan) : Fixed a freeze after the bios. The game is now playable (FCare).
Saturn Emulation : My Dream - On Air ga Matenakute (Japan) : Fixed flickering at the top of the screen in game (FCare).
Saturn Emulation : Neon Genesis Evangelion - Digital Card Library (Japan) : Fixed some GFX problem with FMVs in game (FCare).
Saturn Emulation : Nissan Presents - Over Drivin' GT-R (Japan) : Fixed an offset with the line in OpenGL mode (FCare).
Saturn Emulation : Nissan Presents - Over Drivin' GT-R (Japan) : Fixed the missing sky in 2 players mode (FCare).
Saturn Emulation : Nissan Presents - Over Drivin' GT-R (Japan) : Fixing missing wheel in game (FCare).
Saturn Emulation : Nonomura Byouin no Hitobito (Japan) : Fixed a freeze on the press start screen. The game is now playable (FCare).
Saturn Emulation : Noon (Japan) : Fixed booting problem. The game is playable again (FCare).
Saturn Emulation : Panzer Dragoon Saga (USA) : Fixed texts problems (FCare).
Saturn Emulation : Pro-Pinball (USA) : Fixed shaking screen (FCare).
Saturn Emulation : Quake : Fixed a problem with the sky on the level 2 (FCare).
Saturn Emulation : Scorcher (Europe) : Partial fix with HUD (FCare).
Saturn Emulation : Shellshock - Jus' Keepin' da Peace (Japan) : Fixed missing HUD (FCare).
Saturn Emulation : Shoujo Kakumei Utena - Itsuka Kakumei Sareru Monogatari (Japan) : The game is playable again (FCare).
Saturn Emulation : Taikyoku Shougi - Kiwame II (Japan) : The game is playable again (FCare).
Saturn Emulation : Test Island (Démo) : Fixed background (FCare).
Misc : Fixed a savestate problem with VDP1 (FCare).
Misc : Performance improvements with CPUs (FCare).
Misc : Added Italien translation (siminoliso).
Misc : Added Russian translation (dante3732).
Misc : Updated French translation (Benjamin Siskoo).
Misc : Updated Spanish translation (LuismaSP89).
Misc : Updated Deutsch translation (LuismaSP89).
Misc : Updated documentations (Benjamin Siskoo).
Misc : Wiki updated (Benjamin Siskoo).
Misc : various fixes (François Care).

Kronos 2.2.0 :

Qt : Windows port : Added output console with -h to command line (rob-hack).
Qt : Command Line : Fixed autostart option. You can now launch any games (rob-hack).
Qt : Added individual cartridges path and path suggestions if no path was setup for each cartridge type. this will prevent the user from accidentally overriding cartridges (rob-ack)
Qt : Added a path to screenshots (rob-ack).
Qt : Added drag and drop support. You can drag and drop a game in the Kronos window or on the shortcut on the desktop (rob-ack).
Qt : Fixed window position is not restored when switching back and forth on full screen (rob-ack).
Qt : Fixed sound mute deadlock (rob-ack).
Qt : Use correct variable to get and set cheat description (rob-ack).
Emulation : DirectX Input Interface and DirectX sound are back. There are need some work on it, it's wip but it works (rob-hack, FCare).
Input : Fixed a problem with PS3 and Xbox controllers (FCare).
ST-V Emulation : Astra Superstars : The game is now playable (FCare).
Saturn Emulation : Fixed an old bug with musashi and savestates (FCare).
Saturn Emulation : Akumajou Dracula X - Gekka no Yasoukyoku : Fixed window offset on the ram screen (FCare).
Saturn Emulation : Akumajou Dracula X - Gekka no Yasoukyoku : Fixed text alignement with dialog screen (FCare).
Saturn Emulation : Akumajou Dracula X - Gekka no Yasoukyoku : Fixed artefacts on now loading text (FCare).
Saturn Emulation : BackGuiner - Yomigaeru Yuusha-tachi - Hishou-hen - Uragiri no Senjou - Fixed messed press start screen (FCare).
Saturn Emulation : Bishoujo Senshi Sailor Moon SuperS - Various Emotion : Fixed garbage on the training mode (FCare).
Saturn Emulation : Braindead 13 : Fixed garbage GFX on the press start screen (FCare).
Saturn Emulation : Bug : After all these years, Bug is now playable (FCare).
Saturn Emulation : Chisato Moritaka - Watarase Bashi & Lala Sunshine (Japan) : The game is now bootable, but freeze in game (FCare).
Saturn Emulation : Chou Jikuu Yousai Macross - Ai Oboete Imasu ka : Fixed window offset on the dialog window (FCare).
Saturn Emulation : Courier Crisis - The Saga of the Modern Fatalis : Fixed CS mode. GFX was broken in game (FCare).
Saturn Emulation : Darklight Conflict : Fixed garbage GFX on the press start screen (FCare).
Saturn Emulation : Deep Fear : Fixed a regression with the built bios. The game is now booting again (FCare).
Saturn Emulation : Denpa Shounen-teki Game (Japan) : The game is now booting again (FCare).
Saturn Emulation : Doukoku Soshite : Fixed garbage GFX on the bus scene (FCare).
Saturn Emulation : Hang On GP '95 : Fixed garbage GFX on the left part of the screen (FCare).
Saturn Emulation : Heroic-Vania : Fixed booting. Demo is playable (FCare).
Saturn Emulation : Ide Yousuke Meijin no Shin Jissen Mahjong : Fixed garbage GFX on the loading screen (FCare).
Saturn Emulation : Last Bronx (Europe, Japan) : Fixed a GFX artefact with the RBG GPU (FCare).
Saturn Emulation : Lifescape 2 - Body Bionics - Kyoui No Shouuchuu Jintai : The game is playable with the built bios. Artefacts in game wit the real bios (FCare).
Saturn Emulation : Nissan Presents - Over Drivin' GT-R : Fixed missing wheel in game (FCare).
Saturn Emulation : NFL Quarterback Club '97 (Europe, Japan, USA) : Fixed GFX pixel problem on characters (FCare).
Saturn Emulation : NOeL 3 - Not Digital (Japan) : Fixed garbage GFX on the loading screen (FCare).
Saturn Emulation : Pup-Breeder (Japan) : Fixed sound loops. The game is now playable (FCare).
Saturn Emulation : Ruriiro no Yuki (Japan) : Fixed all garbage screens at the start and press start screen (FCare).
Emulation Saturn : Scorcher (Europe, USA) : Fixed a line problem on the pause menu with OpenGL (FCare).
Saturn Emulation : Sky Target (Europe, Japan, USA) : Fixed garbage GFX on the left part of the screen (FCare).
Saturn Emulation : Sonic R (Europe, Japan, USA) : Fixed a GFX regression in game (FCare).
Saturn Emulation : Svindemo : Fixed booting Demo is playable (FCare).
Saturn Emulation : Virtual Kyoutei (Japan) : Fix a freeze with the real bios. The game is now playable (FCare).
Saturn Emulation : Wizardry - Llylgamyn Saga (Japan) : Fixed vertical green lines on the press start screen (FCare).
Saturn Emulation : X-Men vs. Street Fighter (Japan) : Fixed the missing background in the Manhattan level (FCare).
Misc : For devs. Fixed Sega Saturn Technicals Docs : "VDP1 User's Manual (ST-013-R3-061694)Fixed 1.0.pdf" and "VDP2 User’s Manual (ST-058-R2-060194) Fixed 1.0".pdf (Fafling, Runik, Benjamin Siskoo).
Misc : Perfs improvements (FCare).
Misc : Savestates support improvements (FCare, Barbudreadmon).
Misc : Added 333 videos on Youtube Kronos channel (Benjamin Siskoo).
Misc : There are 2110 games on the WIKI (Benjamin Siskoo).
Misc : Updated documentations (Benjamin Siskoo).
Misc : Updated French translation (Benjamin Siskoo).
Misc : Updated Spanish translation (LuismaSP89).
Misc : Updated Deutsch translation (LuismaSP89).
Misc : Removed glut library (FCare).
Misc : Various fixes (FCare, Barbudreadmon, rob-hack).
Wiki : Added following games : 
	- Actua Golf (Europe) (En,Fr,De)
	- Area 51 (USA) (Beta)
	- Battle Arena Toshinden URA - Ultimate Revenge Attack (Europe) (Beta)
	- Blam ! Machinehead (France)
	- Clockwork Knight 2 - Pepperouchau's Adventure (Europe) (2S)
	- Clockwork Knight 2 - Pepperouchau's Adventure (Europe) (3S)
	- Clockwork Knight 2 - Pepperouchau's Adventure (USA, Brazil)
	- Clockwork Knight Puzzle - Pengin War (Japan) (En,Ja) (Beta)
	- Creature Shock (Japan)
	- Digital Pinball (Europe) (4S)
	- Digital Pinball (Europe) (7S)
	- Firestorm - Thunderhawk 2 (Germany)
	- Hang On GP '95 (Japan) (1M)
	- Keiou Yuugekitai - Okiraku Tamatebako (Japan)
	- Lunar - Silver Star Story (Japan) (Rev A)
	- Machi (Japan) (Demo) (2M)
	- Magic Knight Rayearth (Japan) (Genteiban) (2M, 3M)
	- Metal Black (Japan) (3M)
	- Ninja Jajamaru-kun - Onigiri Ninpouchou Gold (Japan) (Demo)
	- Panzer Dragoon (Japan) (2M)
	- Prime Selection Vol. 1 (Japan)
	- Princess Crown (Japan) (Rev A) (13M)
	- Princess Maker - Yumemiru Yousei (Japan) (Demo) (2M)
	- Sakura Taisen 2 - Kimi, Shinitamou Koto Nakare (Japan) (Disc 3) (Shokai Tokutenban) (3M, 4M, 5M, 6M)
	- Samurai Spirits - Amakusa Kourin (Japan) (En,Ja,Es,Pt) (Demo)
	- Saturn Super Vol. 1 (Japan) (7M)
	- Saturn Super Vol. 1 (Japan) (8M)
	- Steamgear Mash (Japan) (1M)
	- Steamgear Mash (Japan) (2M)
	- Waku Waku 7 (Japan) (Demo)
	- Yumimi Mix Remix (Japan) (Demo)


Kronos 2.1.5 :

Features : Added bios language option. Games like Rayman or Powerslave will be in the language of your choice and depends of the bios. (Will-LWE).
ST-V Emulation : Cotton 2 : Fixed missing trees (FCare).
ST-V Emulation : Mausuke No Ojama The World : Fixed missing background in game (FCare).
Saturn Emulation : 3D Baseball : Fixed sound problem in game. Speaker said the name of the player twice (FCare).
Saturn Emulation : Astra Super Stars : Fixed non booting game. The game is now bootable and playable (Devmiyax / FCare).
Saturn Emulation : Capcom Generation 5 : Fixed missing Arts. The screen is not properly displayed (Devmiyax / FCare).
Saturn Emulation : Corpe Killer : Fixed non booting game. In game, when you shoot enemies, they're not dying  (Devmiyax).
Saturn Emulation : GeGeGe No Kitarou - Gentou Kaikitan : Use the built in bios, the game is playable with. With the real bios, the game is not booting (FCare).
Saturn Emulation : Joe Engine : Fixed Rotation (FCare).
Saturn Emulation : Kidou Senshi Z Gundam - Zenpen Zeta No Kodou : The game is booting and is playable with the built-in bios but not working with the real bios (FCare).
Saturn Emulation : Kunoichi Torimonochou : Fixed missing GFX on the press start screen. The game is now playable (FCare).
Saturn Emulation : Moon Cradle : The game is booting and playable with the built-in bios, but not working with the real bios (FCare).
Saturn Emulation : NBA Live 98 : Fixed colors problem in game (FCare).
Saturn Emulation : NFL Quarterback Club '97 : (Europe) Fixed GFX artefacts on players in game (Devmiyax / FCare).
Saturn Emulation : NHL '98 : Fixed freeze before entering in game. The game is booting and it's almost playable. Flickering with stands (Devmiyax / FCare).
Saturn Emulation : NHL All-Star Hockey : Fixed non booting game. The game is now booting and playable (Devmiyax / FCare).
Saturn Emulation : Nobunaga No Yabou Sengoku Gunyuuden (Japan) : Fixed non booting game. The game is now booting and playable (FCare).
Saturn Emulation : Nobunaga No Yabou Tenshouki : Fixed non booting game. The game is now booting and playable (FCare).
Saturn Emulation : Nobunaga No Yabou Tenshouki With Power-Up Kit : Fixed non booting game. The game is now booting and playable (FCare).
Saturn Emulation : PGA Tour 97 : Fixed black screen at the start. But black screen on the press start screen (FCare).
Saturn Emulation : SatMag Sono CD (Japan) : FMVs are displayed with the built-in bios but not with the real bios (FCare).
Saturn Emulation : Sea Bass Fishing 1 : The game is booting and playable with the built-in bios but not booting with the real bios (FCare).
Saturn Emulation : Sea Bass Fishing 2 : The game is booting and playable with the built-in bios but not booting with the real bios. Slowdowns on the intro video (FCare).
Saturn Emulation : Sega Ages Afterburner : Fixed missing SFX/music (FCare).
Saturn Emulation : Sega Ages Fantasy Zone : Fixed sound problem (FCare).
Saturn Emulation : Sega Saturn Choice Cuts : Fixed sound problem (FCare).
Saturn Emulation : SegaColle Sega Bible Mogitate SegaSaturn Soukan-Gou (Japan) : FMVs are displayed with the built-in bios but not working with the real bios (FCare).
Saturn Emulation : Shining Force III - Scenario 2 - Nerawareta Miko : Fixed water effect (Devmiyax / François Care).
Saturn Emulation : Soeldnerschild : Fixed sound problem (FCare).
Saturn Emulation : Steam-Heart's (Japan) :  Fixed black screen at the start. The game is now booting and playable (Devmiyax / FCare).
Saturn Emulation : Stellar Assault : Fixed black screen at the start. The game is now booting and playable. But loading transition are very long  (FCare).
Saturn Emulation : The King Of Fighter 95 : Fixed slowdowns in game (FCare).
Emulation Saturn : Thunderstrike 2 : Fixed black screen at the start. The game is now booting and playable (FCare).
Saturn Emulation : Tour Party - Sotsugyou Ryokou Ni Ikou : Fixed freeze on the Takara logo at the start. The game is now booting and playable  (FCare).
Saturn Emulation : Vandal Hearts - Ushinawareta Kodai Bunmei : Fixed missing cursor on the press start screen (FCare).
Saturn Emulation : Virtual Kyoutei 2 : Fixed crash at the start. The game is now booting but freeze in game. Playable with the built-in bios (Devmiyax / FCare).
Saturn Emulation : Waku^2 Monster : Fixed the crash with the SH2 Kronos interpreter. The game is now playable (FCare).
Saturn Emulation : Zero Divide - The Final Conflict : Fixed crash at the start. The game is now booting and playable (Devmiyax / FCare).
Misc : Various fixes (FCare, Barbudreadmon).
Misc : There are 2064 games on the WIKI (Benjamin Siskoo).
Misc : Updated documentations (Benjamin Siskoo).
Misc : Added games to the WIKI :
	- Chill_(Jan_19,_1998_prototype)
	- Clockwork_Knight_-_Pengin_War_(Oct_21,_1995_prototype)
	- Dragon's Dream (Japan)
	- Friends - Seishun No Kagayaki (Japan)
	- Hang-On GP (USA)
	- Hang On GP '96 (Europe)
	- Hebereke's Popoitto (Europe)
	- Heir Of Zendor - The Legend And The Land (USA)
	- Kidou Senkan Nadesico - The Blank of 3 Years (Japan)
	- Magical Hoppers (Japan)
	- Mahjong Tenshi - Angel Lips (Japan)
	- Mobile Suit Gundam Side Story - Optional Guide (Japan)
	- Mobile Suit Gundam Side Story I - Senritsu No Blue (Japan) (Demo)
	- Mobile Suit Gundam Side Story I - Senritsu No Blue (Japan) 
	- Mobile Suit Gundam Side Story III - Sabakareshi Mono (Japan)
	- Mobile Kidou Senshi Gundam Gaiden - The Blue Destiny (Japan)
	- Mouja (Japan)
	- Nihon Pro Mahjong Renmei Kounin - Doujou Yaburi (Japan) 
	- Norse By Norsewest - The Return Of The Lost Vikings (USA) 
	- PriKura (Princess Kurara) Daisakusen (Japan) (Demo)
	- PriKura (Princess Kurara) Daisakusen (Japan)
	- Sakura Taisen Teikokukagekidan Taiin Meibo (Japan)
	- Sega Screams Volume 2 (USA)
	- Shin Seiki Evangelion - Eva To Yukaina Nakama-Tachi (Japan) 
	- Shinobi Legions (USA)
	- Sorvice (Japan)
	- Standby Say You! (Japan) 
	- Street Fighter Zero 2' (Japan) 
	- Thunder Storm & Road Blaster (Japan) (Thunder Storm)
	- Thunder Storm & Road Blaster (Japan) (Road Blaster)
	- Wheel's (Japan)

Kronos 2.1.3 :

Features : options display according to the video core (François Care).
ST-V Emulation : Added of the choice of the region of bios in Qt (François Care).
Saturn Emulation : Remove banding to the gouraud shading (François Care).
Saturn Emulation : Actua Golf : Fixed booting problem. The game is now playable (Devmiyax).
Saturn Emulation : Assault Suit Leynos 2 : Fixed booting problem. The game is now playable (Devmiyax).
Saturn Emulation : Bishoujo Hanafuda Kikou - Michinoku Hitou Koi Monogatari Special (Japan) : Fixed menu display (François Care).
Saturn Emulation : Marvel Super Heroes Vs. Street Fighter : Fixed booting problem. The game is now playable (Devmiyax).
Saturn Emulation : Nanatsu Kaze No Shima Monogatari : Fixed booting problem. The game is now playable (Barbudreadmon).
Saturn Emulation : NHL 98 : Fixed booting problem. The game freeze before entering in game (François Care).
Saturn Emulation : NHL All Star Hockey : Fixed booting problem. The game boot but it freeze in game (François Care).
Saturn Emulation : Primal Rage : Fixed booting problem. The game is now playable (François Care).
Saturn Emulation : Sega Rally Championship (U) : Fixed booting problem. The game is now playable (Barbudreadmon).
Saturn Emulation : Sega Saturn Bootleg II - On the Road : Fixed booting problem. The game is now playable (François Care).
Saturn Emulation : Slayers Royal 2 : Fixed booting problem. The game is now playable (François Care).
Saturn Emulation : Soukuu No Tsubasa - Gotha World : Fixed booting problem. The game is now playable (François Care).
Saturn Emulation : Sound Novel Tkool 2 : Fixed booting problem. The game is now playable (Barbudreadmon).
Saturn Emulation : Vampire Savior - The Lord Of Vampire : Fixed booting problem. The game is now playable (Devmiyax).
Saturn Emulation : VR Golf '97 : Fixed booting problem. The game is now playable (Devmiyax).
Saturn Emulation : X-Men Vs. Street Fighter : Fixed booting problem. The game is now playable (François Care).
Saturn Emulation : Zoop : Fixed auto pause in game (François Care).
Misc : Translating video options (Benjamin Siskoo).
Misc : Added games to the Wiki  : 
	- Amagi Shien (J), 
	- Bishoujo Hanafuda Kikou - Michinoku Hitou Koi Monogatari Special (J),
	- Cross Romance - Koi To Mahjong To Hanafuda to (J), 
	- Dark Seed II
	- Deka 4-Ku - Tough The Truck (J), 
	- Doukoku Soshite... (J),
	- Dream Generation - Koi Ka Shigoto Ka !... (J),
	- Idol Mahjong - Final Romance 4 (J),
	- The Game Of Life - DX Jinsei Game (J),
	- The Game Of Life - DX Jinsei Game II (J),
	- Honkaku Shougi Shinan - Wakamatsu Shougi Juku (J),
	- Kaitou Saint Tail (J),
	- Koudou Saisoku Densetsu - Initial D (J),
	- Koutetsu Reiiki - Steeldom (J) (2M), 
	- Kunoichi Torimonochou (J),
	- Mahjong Yon Shimai - Wakakusa Monogatari (J),
	- Pachi-Slot Kanzen Kouryaku Uni-Colle '97 - Universal Collection (J),
	- Pyon Pyon Kyaruru No Mahjong Hiyori (J),
	- Shingata Kururin Pa ! (J), 
	- Shinpi No Sekai El-Hazard - El-Hazard - The Magnificent World For Sega Saturn (J) (2M),
	- Shutsudou ! Miniskirt Police (J),
	- Suchie-Pai Adventure - Doki Doki Nightmare (J),
	- Tokimeki Mahjong Graffiti - Toshishita No Tenshi-tachi (J),
	- Tour Party - Sotsugyou Ryokou Ni Ikou (J) (Rev A),
	- Waku^2 Monster (J)

Kronos 2.1.2 :

Emulation ST-V : Fixed coins problems (François Care).
Emulation ST-V : Added EEPROM support to save service settings (Barbudreadmon).
Emulation ST-V : Added buttons 5 and 6 to the ST-V controller (François Care).
Emulation ST-V : Die Hard Arcade : The game is now playable (François Care).
Emulation ST-V : Final Arch : Fixed buttons. Now the game is now playable (Barburdreadmon).
Emulation ST-V : Final Fight Revenge : Fixed a black line on the second stage (François Care).
Emulation ST-V : Puzzle & Action : BoMulEul Chajara : The game is now playable (François Care).
Emulation ST-V : Puzzle & Action - Treasure Hunt : The game is now playable (François Care).
Emulation ST-V : Suiko Enbu / Outlaws Of The Dynasty : Fixed buttons. Now the game is now playable (Barburdreadmon).
Emulation ST-V : Winterheat : Fixed buttons. Now the game is now playable (Barburdreadmon).
Saturn Emulation : Fixed resolution with non interlaced HDTV games (Barbudreadmon / François Care). 
Saturn Emulation : Assault Suit Leynos : The game is booting. Black screen before entering in game (François Care).
Saturn Emulation : Final Fight Revenge : Fixed a black line on the second stage (François Care).
Saturn Emulation : King Of Fighter 97 : Fixed GFX artefacts in game (François Care).
Saturn Emulation : Shining Force 3 - Episode 1 : Fixed an incorrect scaling with magic to the CS core (François Care).
Saturn Emulation : Sega Rally Championship : Fixed text on the front car spoiler to the CS core (François Care).
Saturn Emulation : Various fixes (François Care, Barbudreadmon).
Misc : Updated documentations (Benjamin Siskoo).
Misc : Wiki updated (Benjamin Siskoo).

Kronos 2.1.1 :

Features : Add Wireframe mode. Dev options vbut endusers can play with (François Care).
Features : Add integer scaling resize (François Care).
Features : Color offset is now applied after color calculation as on the console, instead of before (François Care).
Saturn Emulation : SCU : improve interrupt handling mechanism (François Care).
Saturn Emulation : CS : implement a per line rasterizer. Fix texture mapping in multiple games (François Care).
Saturn Emulation : Batman : Fixed artefacts on the press start screnn (François Care).
Saturn Emulation : Batsugun : The game is now playable. Fixed buttons (François Care).
Saturn Emulation : Casper : Fixed artefacts with transitions screen (François Care).
Saturn Emulation : Dark Savior : The game is now playable. Fixed black screen dialog in game (François Care).
Saturn Emulation : Doom : The game seems playable with some artefacts in OpenGl mode. CS mode is broken (François Care).
Saturn Emulation : Dungeons & Dragons Collection : Fixed pixel problem on character in game with OpenGL renderer (François Care).
Saturn Emulation : Fuusui Sensei - Feng-Shui Master : The game is now playable. Fixed GFX problem in game (François Care).
Saturn Emulation : Gex : Fixed transparencies with the pause menu (François Care).
Saturn Emulation : Gouketsuji Ichizoku 3 - Groove On Fight : Fixed missing characters in game (François Care).
Saturn Emulation : Hang-On '95 : Fixed artefacts in game (François Care).
Saturn Emulation : Highway 2000 : Fixed GFX artefacts in CS mode in game (François Care).
Saturn Emulation : Kumitate Battle Kuttu Ketto : Fixed flickering (François Care).
Saturn Emulation : Mr Bones : Fixed GFX problems with the pause menu (François Care).
Saturn Emulation : Scorcher : Fixed a useless line with the pause menu (François Care).
Saturn Emulation : Shangai Triple Threat : The game is now playable. Fixed broken buttons (François Care).
Saturn Emulation : Skeletton Warriors : the game is now playable. Fixed intro and missing characters in game (François Care).
Saturn Emulation : Steeldom : The game is now playable. Fixed ground GFX problem (François Care).
Saturn Emulation : Tech Saturn Sep.1997 : The game is now booting and is playable (François Care).
Misc : Fixed lot of usban errors/warnings (Barbudreadmon, François Care).
Misc : Updated documentations (Benjamin Siskoo).
Misc : Wiki updated (Benjamin Siskoo).
Misc : various fixes (François Care).

Kronos 2.0.2 :

Features : Add 128 mb Dram to Heart Of Darkness (François Care).
STV : Added bundled nvrams support (Barbudreadmon).
STV : Added Fantasy Zone (Benjamin Siskoo).
STV : Mausuke No Ojama the World : Fixed missing background (François Care).
STV : Cotton Boomerang : Fixed missing trees (François Care).
STV : Sakura Taisen - Hanagumi Taisen Columns : Fixed NBG3 layer (François Care).
Saturn Emulation : Afterburner II : Fixed missing loading screen (François Care).
Saturn Emulation : Batman Forever - The Arcade Game : Fixed controls problem, the game is now playable (François Care).
Saturn Emulation : Code R : Fixed missing characters in game (François Care).
Saturn Emulation : Digital Pinball - Last Gladiators : Fixed controls problem (François Care).
Saturn Emulation : Digital Pinball - Necronomicon : Fixed controls problem (François Care).
Saturn Emulation : Firestorm - Thunderhawk 2 : Fixed controls problem, but it doesn't work with a Dual Shock 3 (François Care).
Saturn Emulation : GameWare Vol.1 : Fixed controls problem (François Care).
Saturn Emulation : Grandia : Fixed incorrect in-game title screen and city floor (François Care).
Saturn Emulation : Heart Of Darkness : The game is bootable and playable (François Care).
Saturn Emulation : Last Gladiators - Digital Pinball : Fixed controls problem (François Care).
Saturn Emulation : Lupin The 3rd - The Master File : Fixed controls problem, but it doesn't work with a Dual Shock 3 (François Care).
Saturn Emulation : Metal Fighter Miku : Fixed black screen problem after pushing start (François Care).
Saturn Emulation : Metal Slug : Fixed periodic sprite corruption of end of level stats (François Care).
Saturn Emulation : Minnesota Fats - Pool Legend : Fixed artefacts on the press start screen (François Care).
Saturn Emulation : Next King - Koi No Sennen Oukoku : Fixed artefacts on portraits (François Care).
Saturn Emulation : Outrun : Fixed missing loading screen (François Care).
Saturn Emulation : Rayman : Fixed controls problem (François Care).
Saturn Emulation : Ryuuteki Gosennen - Dragons Of China : Fixed reboot problem (François Care).
Saturn Emulation : Sakura Taisen : Fixed game freeze when starting a 2nd video (François Care).
Saturn Emulation : Sega Rally Championship : Fixed missing HUD (François Care).
Saturn Emulation : Shockwave Assault : Fixed controls problem, but it doesn't work with a Dual Shock 3 (François Care).
Saturn Emulation : Side Pocket 2 : Fixed artefacts on the press start screen (François Care).
Saturn Emulation : Space Harrier : Fixed missing loading screen (François Care).
Saturn Emulation : Street Fighter The Movie : Fixed shadows with compute shader - not fixed with OpenGL (François Care).
Saturn Emulation : The Need For Speed : Fixed missing loading screen (François Care).
Saturn Emulation : The Tower : Fixed freeze in game, the game is now playable (François Care).
Saturn Emulation : Thunderhawk 2 - Firestorm : Fixed controls problem, but it doesn't work with a Dual Shock 3 (François Care).
Saturn Emulation : Thunderhawk II : Fixed controls problem, but it doesn't work with a Dual Shock 3 (François Care).
Saturn Emulation : Voice Idol Maniacs - Pool Bar Story : Fixed controls problem (François Care).
Saturn Emulation : Waku Waku 7 : Character screen selection is almost fixed, missing a part (François Care).
Saturn Emulation : Winter Heat : Fixed window resize for VDP1 layer (François Care).
Saturn Emulation : World Cup Golf - Professional Edition : Fixed artefacts on press start screen (François Care). 
Saturn Emulation : Yuushun Classic Road : Fixed reboot problem (François Care).
Wiki : Added these games to the wiki : Flash Volume 1 to Flash Volume 32, Bottom Of The 9Th, Dark Legend, Heart Of Darkness, Heim Waltz, Japan Super Bass Classic '96, Kamen Rider - Sakusen File 1, Kidou Senkan Nadesico - The Blank Of 3 Years, Lunacy, Oh-ChanNo Oekaki Logic,  P.T.O. - Pacific Theater of Operations II, Purikura Daisakusen, Sanguozhi IV, Sanguozhi V,Solar Eclipse, Tokyo Shadow, Winning Post, Xianjian Qixiazhuan, Zenkoku Seifuku Bishoujo Grand Prix Find Love (Benjamin Siskoo).
Misc : Wiki updated (Benjamin Siskoo).
Misc : Updated to Qt 5.14 (Benjamin Siskoo).
Misc : Fixed Ubsan errors messages (François Care).
Misc : Fixed a regression with CCD format (François Care).
Misc : Updated documentations (Benjamin Siskoo).
Misc : Various fixes.

Kronos 2.0.1 :

Features : Added Compute Shader video core (François Care).
Features : Removed Software video core (François Care).
Features : Added Compute Shader (François Care).
Features : Added chd support (Devmiyax, BarbuDreadMon, François Care).
Saturn Emulation : AI Shougi 2 : The game is now bootable and playable (François Care).
Saturn Emulation : All-Star Baseball '97 featuring Frank Thomas : The game is now playable. (François Care).
Saturn Emulation : Aquazone Desktop Life : The game is now bootable. Missing GFX in game, it's not playable (François Care).
Saturn Emulation : Aquazone - Desktop Life Option Disc Series 1 - Angel Fish (Japan) (Rev A) : Missing GFX in game, it's not playable (François Care).
Saturn Emulation : Aquazone - Desktop Life Option Disc Series 2 - Black Molly (Japan) (Rev A) : Missing GFX in game, it's not playable (François Care).
Saturn Emulation : Aquazone - Desktop Life Option Disc Series 3 - Blue Emperor (Japan) (Rev A) : Missing GFX in game, it's not playable (François Care).
Saturn Emulation : Aquazone - Desktop Life Option Disc Series 4 - Clown Loach (Japan) (Rev A) : Missing GFX in game, it's not playable (François Care).
Saturn Emulation : Aquazone - Desktop Life Option Disc Series 5 - False Rummy-Nose (Japan) (Rev A) : Missing GFX in game, it's not playable (François Care).
Saturn Emulation : Ayrton Senna Personal Talk - Message For The Future : The game is now bootable and is playable (François Care).
Saturn Emulation : Black Matrix : The game is now bootable and playable. Voices are not understandable. (François Care).
Saturn Emulation : Command & Conquer : The game is playable again (François Care).
Saturn Emulation : Death Throttle - Kakuzetsu Toshi Kara No Dasshutsu : The game is now bootable and playable (François Care).
Saturn Emulation : Deep Fear : Fixed sound problem (François Care).
Saturn Emulation : Digital Ange - Dennou Tenshi SS : The game is now bootable. Still remaining window dialog problem (François Care).
Saturn Emulation : Digital Dance Mix Vol. 1 - Namie Amuro : No more black screen in game but some remainings artefacts  (François Care).
Saturn Emulation : DonPachi : The game is now booting, but it's not playable (François Care).
Saturn Emulation : Doukyuusei 2 : The game is bootable and playable (François Care).
Saturn Emulation : Dream Square - Hinagata Akiko : The game is now playable (François Care).
Saturn Emulation : FIFA Road To World Cup : The game is now bootable but Kronos freezes few seconds after the start (François Care).
Saturn Emulation : Fighting Vipers : Fixed a black screen with the real bios (François Care). 
Saturn Emulation : Gakko No Kaidan : The game is now bootable and playable (François Care).
Saturn Emulation : Game-Ware Vol. 1 : The game is now bootable, digital pinball demo has control problem (François Care).
Saturn Emulation : Game-Ware Vol. 2 : The game is now bootable and playable (François Care).
Saturn Emulation : Game-Ware Vol. 3 : The game is now bootable and playable (François Care).
Saturn Emulation : Gotha - Ismailia Seneki : The game is now bootable and playable. Some GFX problem in game (François Care).
Saturn Emulation : Gunbird : Fixed flickering in game (François Care).
Saturn Emulation : Hatsukoi Monogatari : The game is now playable. Fixed freeze on the dialog screen (François Care).
Saturn Emulation : Heiwa Pachinko Soushingeki : The game is now bootable and playable. Fixed crash on the menu (François Care).
Saturn Emulation : Honkaku Hanafuda : The game is now bootable and playable. Fixed crash after Altron logo (François Care).
Saturn Emulation : Jissen Pachinko Hisshou-Hou ! Twin : The game is now bootable and playable. Fixed black screen after Sammy logo (François Care).
Saturn Emulation : Jissen! Pachi-Slot Hisshou-Hou ! Iron Hook - The Great Marine Adventures : The game is now playable. Fixed Missing GFX in game (François Care).
Saturn Emulation : Keriotosse ! : Fixed a freeze on the character selection. The game is now playable (François Care).
Saturn Emulation : Krazy Ivan : Fixed double cross on the radar (François Care).
Saturn Emulation : Kyuukyoku Tiger II Plus : The game is now playable. Fixed a restart loop (François Care).
Saturn Emulation : Kuuso Kagaku Sekai Gulliver Boy : Fixed black veil on the intro video (François Care).
Saturn Emulation : Last Bronx : Fixed boot problem with the built in bios (Devmiyax).
Saturn Emulation : Lode Runner Extra : The game is now bootable. Black screen after the logo (François Care).
Saturn Emulation : Lunar 2 - Eternal Blue Complete : The game is playable. No more slowdown on the FMV (François Care).
Saturn Emulation : Maboroshi No Black Bass : Fixed missing background in the shop and on the spot (François Care).
Saturn Emulation : Madden NFL 97 : The game is now playable. Fixed Kronos freezes (François Care). 
Saturn Emulation : Madden NFL 98 : The game is now playable (François Care).
Saturn Emulation : Mass Destruction : Fixed map in game (François Care).
Saturn Emulation : MechWarrior 2 - 31st Century Combat - Arcade Combat Edition : Fixed missing FMV (François Care).
Saturn Emulation : Megaman 8 : Fixed black square in game (François Care).
Saturn Emulation : Metal Fighter Miku : The game is now playable. Fixed black screen before entering in game (François Care).
Saturn Emulation : Mogitate SegaSaturn - Special Movie : The game is now bootable and playable (François Care).
Saturn Emulation : Mogitate SegaSaturn Vol. 1 : The game is now bootable and playable (François Care).
Saturn Emulation : Mogitate SegaSaturn Vol. 2 : The game is now bootable and playable (François Care).
Saturn Emulation : Mogitate SegaSaturn Vol. 3 : The game is now bootable and playable (François Care).
Saturn Emulation : Mogitate SegaSaturn Vol. 4 : The game is now bootable and playable (François Care).
Saturn Emulation : Mogitate SegaSaturn Vol. 5 : The game is now bootable and playable (François Care).
Saturn Emulation : Mogitate SegaSaturn Vol. 6 : The game is now bootable and playable (François Care).
Saturn Emulation : NBA Jam Tournament Edition : Improvements on the text, but not completely fixed (François Care).
Saturn Emulation : Nissan Presents - Over Drivin' GT-R : The game is now playable. Fixed a freeze after the first FMV (François Care).
Saturn Emulation : Ochigee Designer Tsukutte Pon ! : The game is now playable. Fixed freeze (François Care).
Saturn Emulation : Off-World Interceptor Extreme : The game is now playable. Fixed black screen in game (François Care).
Saturn Emulation : Off World Interceptor : Fixed particles (François Care).
Saturn Emulation : Ou-Chan No Oekaki Logic : The game is now playable. Fixed crash (François Care).
Saturn Emulation : Pandemonium : Fixed a GFX problem on the day/night time (François Care). 
Saturn Emulation : Panzer Dragoon Zwei : Fixed boot problem with the built in bios ((Devmiyax).
Saturn Emulation : Pappara Paoon : The game is now playable. Fixed crashes after the menu (François Care).
Saturn Emulation : Pastel Muses : The game is now playable. Fixed sound loops (François Care).
Saturn Emulation : PD Ultraman Link : The game is now playable with windows (François Care).
Saturn Emulation : Refrain Love - Anata Ni Aitai : Fixed intro FMV (François Care).
Saturn Emulation : Revolution X - Music Is The Weapon : Fixed FMV intro (François Care).
Saturn Emulation : Riglordsaga 2 : The game is  now bootable and playable (François Care).
Saturn Emulation : Road & Track Presents - The Need for Speed : The game is now playable. Fixed crashes (François Care).
Saturn Emulation : Quake : Fixed some GFX artefacts on the wall (François Care).
Saturn Emulation : Samurai Spirits - Amakusa Kourin / Samurai Shodown IV - Amakusa's Revenge : Fixed vertical lines on the portraits and in game on the character (François Care).
Saturn Emulation : Sega Ages - Memorial Selection Vol. 1 : The game is now bootable and playable (François Care).
Saturn Emulation : Sega Rally : Fixed holes on the road (François Care).
Saturn Emulation : Senryaku Shougi : The game is now playable. Fixed a freeze after pushing start on the press start screen (François Care).
Saturn Emulation : Sentimental Graffiti : Fixed transparencies problem with dialog in game (François Care).
Saturn Emulation : Shinsetsu Samurai Spirits - Bushidou Retsuden : Fixed kind of transparency on the press start screen (François Care).
Satunr Emulation : Shippuu Mahou Daisakusen - Kingdom-Grandprix : Fixed black bar on the left of the screen (François Care).
Saturn Emulation : Sky Target : Fixed missing background on the press start screen (François Care).
Saturn Emulation : Sonic Jam : Fixed boot with built in bios (Devmiyax).
Saturn Emulation : Sonic Jam : No more invalid opcode with savestates (François Care).
Saturn Emulation : Soviet Strike : Fixed transition screen (François Care).
Saturn Emulation : Space Hulk - Vengeance Of The Blood Angels : Fixed transparencies problem with the map in game (Devmiyax).
Saturn Emulation : Street Fighter - Real Battle On Film : Fixed lines on shadows (François Care).
Saturn Emulation : Street Fighter - The Movie : Fixed lines on shadows (François Care).
Saturn Emulation : The Hyper Golf - Devil's Course : The game is now bootable but not playable (missing GFX in game). Fixed a freeze on the first logo (François Care).
Saturn Emulation : The Tower : The game is now playable. Fixed a freeze in game (François Care).
Saturn Emulation : Three Dirty Dwarves : Fixed street lamps in game (François Care).
Saturn Emulation : Transport Tycoon : Fixed missing sprite (François Care).
Saturn Emulation : Turfwind '96 - Take Yutaka Kyousouba Ikusei Game : The game is now bootable and playable. Fixed black screen after choosing your characters (François Care).
Saturn Emulation : Tsuukai !! Slot Shooting : Fixed transparencies shadow under letters (François Care).
Saturn Emulation : UEFA Euro 96 England : The game is now bootable and playable (François Care).
Saturn Emulation : Vahollian :  Fixed GFX problem in game (François Care).
Saturn Emulation : Virtua Cop : Fixed invisible sprite (François Care).
Saturn Emulation : Virtual Hydlide : The game is bootable and playable with built in bios (Devmiyax).
Saturn Emulation : Virtual Majhong : Fixed a GFX problem in game (François Care).
Saturn Emulation : Virtual Mahjong 2 - My Fair Lady : Fixed press start screen display. Fixed an a black square in game (François Care).
Saturn Emulation : X-Japan - Virtual Shock 001 : The game is now bootable and playable (François Care).
Satunr Emulation : Waku Waku 7 : Character selection screen is now displayed but some glitches on it (François Care). 
Saturn Emulation : World Advanced Daisenryaku - Sakusen File : fixed intro video problem (François Care).
Misc : Improved Qt with Visual Studio (François Care).
Misc : Improved debug with windows (François Care).
Misc : Do not read or write if buffer is too small (François Care).
Misc : Fixed a buffer problem with some archives (François Care).
Misc : A to Z letters are tested (Benjamin Siskoo).
Misc : Updated Kronos Readme.html (ST-V compatibility). Updated Comparison Chart.html (Benjamin Siskoo).
Misc : Various fixes.

Kronos 1.7.0 :

Features : Complete rewriting of the openGL renderer (François Care).
Features : Compilation support for x86 and X64 on Visual Studio. 64 Bits release is available for the first time (François Care).
Features : Alignment of the debug output to the standard error output (stdout on linux, DebugView on windows) (François Care).
Features : Added a mesh transparency option in the video tab (François Care).
Features : Improved GPU Tesselation and CPU Tesselation emulation (François Care).
FPS counter : Fixed a problem when the FPS counter was off and Sega Rally (François Care).
Saturn Emulation : Fixed a display problem on the bios screen with the OpenGL option : Original (Original resolution of the Saturn) (François Care). 
Saturn Emulation : Arcade's Greatest Hits: The Atari Collection 1 : Fixed interlaced problem with missile command (François Care).
Saturn Emulation : Athlete Kings : Fixed shadow problem on the long jump (François Care).
Saturn Emulation : Black Fire : Fixed missing arrow on the menu (Francois Care).
Saturn Emulation : Black Fire : Fixed transparencies sur on folders screen (Francois Care).
Saturn Emulation : Black Fire : Fixed big GFX problem in game, the game is now playable (Francois Care).
Saturn Emulation : Blam Machinehead : Fixed gradiancy to the pause menu (François Care).
Saturn Emulation : Bug Too : Fixed transparency on the pause menu (François Care).
Saturn Emulation : Capcom Generation 4 : Fixed chopper door, it was a really old bug (François Care).
Saturn Emulation : Code-R : The game is playable (François Care).
Saturn Emulation : Crows - The Battle Action : Fixed Shadow's problem under the character (François Care).
Saturn Emulation : Dark Savior : Fixed a GFX problem on the memory selection screen (François Care).
Saturn Emulation : Deadalus : Fixed artefacts in game (François Care).
Saturn Emulation : Decathlete : Fixed a shadow problem on the long jump (François Care).
Saturn Emulation : Devil Summoner - Soul Hackers - Akuma Zensho Dai-Ni-Shuu : Fixed interlaced problem (François Care).
Saturn Emulation : Discworld 2 : Fixed colors problem, gfx was messed (François Care).
Saturn Emulation : Disc Station Bessatsu - I Miss You. Tanaka Katsumi : Fixed GFX blue parts (François Care).
Saturn Emulation : DoDonPachi (Demo) : The game is now playable (François Care).
Saturn Emulation : Doom : the game is playable. Fixed transparencies with ceiling and ground (François Care).
Saturn Emulation : Elf O Karu Monotachi - Hanafuda Hen : Fixed missing background on the dialog (François Care).
Saturn Emulation : Gale Racer : Fixed artefacts in game (François Care).
Saturn Emulation : Ginga Ojousama Densetsu Yuna - Mika Akitaka Illust Works : Fixed overexposed pictures (François Care).
Saturn Emulation : Gyuwambler Jiko Chuushinha - Tokyo Mahjongland : The game is now playable (François Care).
Saturn Emulation : J. B. Harold - Blue Chicago Blues : Fixed missing transparencies on the menu (François Care).
Saturn Emulation : Jikkyou Oshaberi Parodius - Forever With Me : Fixed transparencies problem with clouds on the press start screen (François Care).
Saturn Emulation : Jikkyou Oshaberi Parodius - Forever With Me : Fixed scaled vertices on the font (François Care).
Saturn Emulation : Keiou Yuugekitai - Katsugeki-Hen : Fixed missing background in game (François Care).
Saturn Emulation : Krazy Ivan : Fixed GFX problem with the sky (François Care).
Saturn Emulation : Krazy Ivan : Fixed GFX problem with the font in game (François Care).
Saturn Emulation : Kuuso Kagaku Sekai Gulliver Boy : Fixed a black veil on the intro movie (François Care).
Saturn Emulation : Linda^3 Kanzenban : Fixed missing cursor on the menu (François Care).
Saturn Emulation : Magic Knight Rayearth : fixed thin line in the dialog (François Care).
Saturn Emulation : MechWarrior 2 - 31st Century Combat - Arcade Combat Edition : Fixed background (François Care).
Saturn Emulation : Minnesota Fats - Pool Legend : Fixed black texts (François Care).
Saturn Emulation : Mobile Suit Gundam Side Story - Optional Guide. Fixed interlaced problem (François Care).
Saturn Emulation : Nekketsu Oyako : Fixed background problem in the menu (François Care).
Saturn Emulation : NHL 97 : Fixed missing flags (François Care).
Saturn Emulation : Nightruth - Explanation Of The Paranormal 01 - Yami No Tobira : Fixed GFX problem on the menu (François Care).
Saturn Emulation : Night Striker S : Fixed zig zag line on the road (François Care).
Saturn Emulation : Nissan Presents - Over Drivin' GT-R : Fixed a GFX problem in game (François Care).
Saturn Emulation : Nissan Presents - Over Drivin' GT-R : Fixed a GFX problem with pictures (François Care).
Saturn Emulation : Noon : The game is playable again (François Care).
Saturn Emulation : Off World Interceptor : Fixed black screen in game, the game is now playable (François Care).
Saturn Emulation : Riglord Saga 2 : The game is now playable. Boot fixing (Devmiyax).
Saturn Emulation : Sakura Taisen 2 : Fixed GFX artefacts in game with dialog (François Care).
Saturn Emulation : Sonic 3D : Fixed a priority problem (François Care).
Saturn Emulation : Sword & Sorcery : The game is now playable (François Care).
Saturn Emulation : Tomb Raider : Fixed missing transparency on the pause menu (François Care).
Saturn Emulation : Virtual Hydlide : Fixed map menu (François Care).
Saturn Emulation : Wing Arms : Fixed a GFX problem between the transition (François Care).
Translation : Updated French translation (Benjamin Siskoo).
Translation : Updated Spanish translation (LuismaSP89).
Translation : Updated German translation (LuismaSP89).
Translation : Fixing some translations strings (Benjamin Siskoo).
Misc : Remove embedded log window - Relay on debugview on windows (https://docs.microsoft.com/en-us/sysinternals/downloads/debugview) and console output on linux (François Care).
Misc : Change frameskip limiter label to Vertical synchronization (François Care).
Misc : Musashi alignement with the last release (François Care).
Misc : Tested M,N and O letter games on the Wiki (Benjamin Siskoo).
Misc : Fixed transparencies issues with controllers buttons (Benjamin Siskoo).
Misc : Updated Kronos Readme.html (ST-V compatibility). Updated Comparison Chart.html (Benjamin Siskoo).
Misc : Various fixes.

Kronos 1.6.0 :

Features : Migration to OpenGL Core 4.2 for better desktop compatibility and tesselation support on all recent GFX cards.
Features : Debug VDP1 & VDP2 are back (François Care).
Misc : new kronos.exe icon (François Care).
Misc : fixed bkram.bin (Panzer Dragon, Story Of Thor and others) (Barbudreadmon).
Misc : fixed video filters (François Care).
Misc : fixed FPS counter (François Care).
Misc : various fixes (François Care).
Saturn Emulation : Advanced World War Sennen Teikoku No Koubou : Last Of The Millennium : fixes lines on the book (François Care).
Saturn Emulation : AI Igo : fixed a missing vertical line on the board (François Care).
Saturn Emulation : Beach De Reach: fixed transparency problem with dialogs. (François Care).
Saturn Emulation : Defcon 5 : fixed missing wall in game (François Care).
Saturn Emulation : Devil Summoner - Soul Hackers & Ronde - Otameshi-You (Demo) : fixed missing FMV (François Care).
Saturn Emulation : Ginga Ojousama Densetsu Yuna - Mika Akitaka Illust Works : fixed the missing press start screen (François Care).
Saturn Emulation : Hi Octane : fixed missing ships in game (François Care).
Saturn Emulation : Ippatsu Gyakuten - Gambling King E No Michi : fixed a GFX problem with dialog (François Care).
Saturn Emulation : J. B. Harold - Blue Chicago Blues : fixed a transparency problem on the menu (François Care).
Saturn Emulation : Joshikousei no Houkago. Pukunpa : fixed missing portraits background (François Care).
Saturn Emulation : Langrisser I & II (Dramatic Edition) : fixed white rectangle o*n the menu (François Care).
Saturn Emulation : Magical Night Dreams - Cotton 2 : fixed missing cliffs in game (François Care).
Saturn Emulation : Scorcher : fixed the line in the pause menu (François Care).
STV Emulation : Guardian Force : fixed GFX problem with the background in game (François Care).
Translation : added several strings (Benjamin Siskoo).
Translation : updated french translation (Benjamin Siskoo).
Translation : spanish translation (LuismaSP89).


Kronos 1.5.0 :

Features : new video option in OpenGL Size : 4x, 8x, 16x (François Care).
Features : STV player 2 support (Benjamin Siskoo).
Saturn Emulation : Ai Igo : fixed missing vertical line on the board (François Care).
Saturn Emulation : Akumajou Dracula X : fixed transition screen (François Care).
Saturn Emulation : Alone In The Dark : the game is finally playable after all these years :) (François Care).
Saturn Emulation : Batsugun : fixed now loading screen (text was messed) (François Care).
Saturn Emulation : Blam Machinehead : fixed vertical line with the background in game (François Care).
Saturn Emulation : Breakpoint Tennis : lines on the tennis court are almost back (François Care).
Saturn Emulation : Capcom Generation 5 : fixed a regression with FPS (François Care).
Saturn Emulation : Command & Conquer : fixed a regression with FPS (François Care).
Saturn Emulation : Devil Summoner - Soul Hackers & Ronde - Otameshi-You (Demo) : fixed videos (FMV) that were not displayed (François Care).
Saturn Emulation : Emit Vol.1 : fixed a reboot problem on the press start screen (need to push start quickly to go in game) (François Care).
Saturn Emulation : Emit Vol.2 : fixed a reboot problem on the press start screen (need to push start quickly to go in game) (François Care).
Saturn Emulation : Emit Vol.3 : fixed a reboot problem on the press start screen (need to push start quickly to go in game) (François Care).
Saturn Emulation : Fist : the game is now playable (François Care).
Saturn Emulation : Gungriffon : fixed a GFX problem with the mission screen (François Care).
Saturn Emulation : Heartbeat Scramble : fixed a GFX problem with the now loading screen (François Care).
Saturn Emulation : Hop Step Idol : fixed character's selection screen (François Care).
Saturn Emulation : Horror tour : fixed a GFX problem with the now loading screen (François Care).
Saturn Emulation : Ide Yousuke Meijin no Shin Jissen Mahjong : fixed a GFX artefact on the now loading screen (François Care).
Saturn Emulation : Idol Maajan Final Romance R Premium Package : the game is now playable (François Care).
Saturn Emulation : Impact Racing (Demo). The game is now playable (François Care).
Saturn Emulation : Impact Racing. The game is now playable (François Care).
Saturn Emulation : J-League Victory Goal '96 : fixed transparencies on the menu (François Care).
Saturn Emulation : J-League Victory Goal '97 : fixed transparencies on the menu (François Care).
Saturn Emulation : Keio Flying Squadron 2 : fixed a GFX problem with the background (François Care).
Saturn Emulation : Langrisser Dramatic Edition : fixed a black screen with dialog (François Care).
Saturn Emulation : Langrisser III : fixed a problem with texts (François Care).
Saturn Emulation : Langrisser V : fixed character screen and menu screen (François Care).
Saturn Emulation : Linda^3 Kanzenban : fixed cursor (François Care).
Saturn Emulation : Lunar Silver Star Story : fixed a GFX problem with the hill (it was not displayed) (François Care).
Saturn Emulation : Marobishi No Black Bass : fixed missing screen.
Saturn Emulation : Mr Bones : Game is playable now. Fixed a black screen and booting after loosing a life (François Care).
Saturn Emulation : Street Racer : the game is finally fully playable (François Care). 
Saturn Emulation : Shining Force 3 - Premium Disk : fixed VDP1 quads handling (François Care). 
Saturn Emulation : Sonic Jam : workaround to launch the game again (François Care).
STV Emulation : Guardian Forces : fixed background problem (François Care).
STV Emulation : Groove On Fight : fixed background problem (François Care).
STV Emulation : Magical Night Dreams - Cotton Boomerang : fixed a GFX problem with the hill (it was not displayed) (François Care).
STV Emulation : Othello Shiyouyo : fixed GFX problem in game (François Care).
Misc : new compatibility list (0 - L) : http://tradu-france.com/tfwiki-1.28.2/index.php?title=Compatibility_list_of_Kronos (Benjamin Siskoo).
Misc : Asynchronous texture calculation for vdp1 and Vdp2 : increase FPS on low end CPU or in frameskip mode (François Care).
Misc : Gouraud shading fixes (François Care).
Misc : Fixed warnings during compilation (François Care).
Misc : Various fixes (François Care).
Translation : Removed the sound option "Use new SCSP".

Kronos 1.4.5 :

Saturn Emulation : Bug : fixed booting. Black screen after the intro video (Devmiyax).
Saturn Emulation : Croc : fixed booting. The game is now playable (Devmiyax).
Saturn Emulation : Emit Vol.1 : fixed booting. The game is almost playable. You have to push quickly Start otherwise the game reboot (Devmiyax).
Saturn Emulation : Gex : fixed booting. The game is now playable (Devmiyax).
Saturn Emulation : Idol Janshi Suchie : fixed booting. The game is now playable (Devmiyax).
Saturn Emulation : Mr Bones : fixed massive GFX problem in game. The game is now playable (Devmiyax).
Saturn Emulation : Virtua Fighter Kids : fixed booting. The game is finally playable. First time since Yabause exists (Devmiyax).
Saturn Emulation : UEFA Euro 96 : fixed booting. The game is now playable for the first time (François).
Saturn Emulation : Virtual Hydlide : fixed a freeze. The game is now playable (Devmiyax).
Saturn Emulation : Xmen Vs Street Fighter : The game is playable (Devmiyax).
ST-V : Fixed ST-V emulation. It works again (François).
ST-V : Added Virtual Mahjong. Varioux fixes. Some games are now playable/bootable. (Benjamin Siskoo).
Misc : Fixed layers in the GUI (François).
Misc : Updated Kronos Readme.html (ST-V compatibility). Updated Comparison Chart.html (Benjamin Siskoo).

Kronos 1.4.0 :

Features : Redump zip archive support (François).
Features : QT5.11.1 and Visual Studio 2017 support.
Features : Options added to command line : scanline, ST-V (bios and iso) keyboard ST-V support (Linux for now) (François).
Features : New BR2Z filter. If you have a low end GPU, try it (François).
Saturn Emulation : Doom : fixed glitches in game (François).
Saturn Emulation : F1 Challenge : fixed a GFX problem with the car cockpit (François).
Saturn Emulation : F1 Challenge : fixed a messed screen in the menu (François).
Saturn Emulation : Metal Slug : fixed a sprite problem with the character (François).
Saturn Emulation : Athlete Kings and Blam Machinehead : fixed a GFX problem (transparent strips) (François).
Saturn Emulation : Earthworm Jim : fixed a GFX problem (François).
Saturn Emulation : Tsuukai!! Slot Shooting : fixed a shadow problem with menu (François).
ST-V : added all ST-V games, possibly missing 2 or 3 games (Benjamin Siskoo)
ST-V : fixed a problem with the STV bios (Linux and Windows). Now, STV emulation works on Linux and Windows (François).
ST-V : games ascending sort order (François).
ST-V : fixed the screen position in game for the game Shienryu (François).
Translation : updated spanish language (Kris Tophe)
Translation : updated french language (Benjamin Siskoo).
Translation : updated english language (Benjamin Siskoo).
Translation : translations strings added : ST-V cabinet Configuration, ST-V Cabinet, SH2 Kronos Interpreter.
Translation : translations strings removed : Tesselation, Triangles using perspective correction, CPU Tesselation, GPU Tesselation.
Misc : added a new readme.html file, comparison table.html, changelog.txt (Benjamin Siskoo).
Misc : fixed a crash with an old ini file and a recent version of Kronos (François).
Misc : Removed QT4 support (deprecated) (François).
Misc : removed Tesselation support. It seems this option is useless (François).

Kronos 1.3.0 :

Features : New Kronos interpreter. Less CPU usage.
Features : Added STV rom game support. With Linux all games are launchable but with the windows port lots of game are not playable.
Saturn Emulation : Burning Rangers : fixed a black veil in game.
Saturn Emulation : Contra - Legacy of War : fixed a regression with the character's shadow.
Saturn Emulation : Doukoku Soshite : fixed a transparency problem with the moon.
Saturn Emulation : Doukoku Soshite : fixed a transparency with dialog.
Saturn Emulation : Doukoku Soshite : fixed a problem with a missing sign aside of the bus.
Saturn Emulation : Le manoir des ames perdues : fixed a GFX problem with the menu.
Saturn Emulation : Outrun : fixed missing screen (loading screen, options screen).
Saturn Emulation : Sakura Taisen 2 : fixed a regression.
Saturn Emulation : Scorcher : fixed a GFX problem with trees in game.
Saturn Emulation : Scorcher : fixed the pause menu screen. It was messed.
Saturn Emulation : Sega Ages : fixed loading screen.
Saturn Emulation : Slam & Jam 96 : fixed a regression with High score screen.
Saturn Emulation : Turfwind '96 - Take Yutaka Kyousouba Ikusei Game : fixed a black screen. The game is now playable.

Kronos 1.2.0 :

Features : Win 7 Support is back. Fixed the kernel32.dll error with Windows 7. It should be work.
Features : Added 2 video options : Original Aspect Ratio and Stretch to window.
Features : Added title for new video option : Upscale Filter, Embellishment filter, Tesselation, OpenGL size, TV Effect (Benjamin Siskoo). 
Features : Added Scanline filter. Can be combined with others filters (HQ4X, etc...). 
Misc : Removed 3 video options : Fit to window, Fixed aspect ratio: 4:3 and Fixed aspect ratio: 16:9.
Translation : French translation of the new video options (Benjamin Siskoo). 
Translation : Added a new translation string : toolBar (shortcuts panel) (Benjamin Siskoo).

Kronos 1.1.0
Features : Make resolution and filter switch dynamic in order to avoid needed restart. Introduce also the so usefull openGL debug callback support. Fixed audio problem with european games after switching between NTSC to PAL.
Features : Added 1x to 4x resolution.
Features : Added video filter bicubic extrapolation.
Features : Added video filter HQX4.
Features : Added video filter 4xBRZ.
Sound Emulation : CDDA for Sega Ages Afterburner and Space Harrier (Devmiyax - Yaba Sanshiro).
Saturn emulation : Fixed [Panzer Dragoon zwei] : RBG line color insertion is not correct (Devmiyax - Yaba Sanshiro)..
Saturn emulation : Fixed [Space Harrier] Shadow is not transparent (Devmiyax - Yaba Sanshiro).
Saturn emulation : Fixed a regression : ASTAL RBG0 Transparencies (Devmiyax - Yaba Sanshiro).
Saturn emulation : Fixed a regression : Albert Odyssey Title (Devmiyax - Yaba Sanshiro).
Saturn emulation : Fixed a gfx problem with NBG0 layer for the game Panzer Dragon Zwei. The sky in background is now displayed properly (Devmiyax - Yaba Sanshiro).
Saturn emulation : Fixed [Space Harrier] Shadow is not transparent (Devmiyax - Yaba Sanshiro).
Saturn emulation : Fixed [OutRun] Shadow is not drawn (Devmiyax - Yaba Sanshiro).
Saturn emulation : Fixed a regression : Chaos Seed characters are not drawn (Devmiyax - Yaba Sanshiro).
Saturn emulation : Fixed Sonic R : Sea is not transparent (Devmiyax - Yaba Sanshiro).
Saturn emulation : HQ4x works better with NEAREST - Fix bad alpha behavior on MegamanX4.
Saturn emulation : Software renderer is back.
Saturn emulation : - A better handling of the lines.
Translation : Added a translation string : Original (original resolution of the Saturn) (Benjamin Siskoo).
Misc : Remove useless native resolution.
Misc : Remove useless FXAA.
Misc : Fixed a problem with the video filter bicubic.